import axios from "axios";
// @ts-ignore
import crypto from "crypto-js";
/**
 * svg流转换为base64字符串
 *
 * @param url 获取base的路径
 */
export function svgTobase64(url: string) {
    let baseUrl = "";
    return new Promise((relve, res) => {
        if (url.includes(".svg")) {
            axios
                .get(url)
                .then(res => {
                    if (res.data) {
                        const index = res.data.indexOf('"UTF-8"?>');
                        const str = res.data.substr(index + 9);
                        const a = crypto.enc.Utf8.parse(str);
                        baseUrl =
                            "data:image/svg+xml;base64," +
                            crypto.enc.Base64.stringify(a);
                    }
                    relve(baseUrl);
                })
                .catch(err => {
                    res(err);
                });
        } else {
            baseUrl = url;
            relve(baseUrl);
        }
    });
}
